# CentroGeo GreenIndex
**GreenIndex** Es un conjunto de códigos desarrollado por [**CentroGeo**](geoint.mx) para calcular la cobertura de vegetación en una área de interés utilizando los productos L2A de la plataforma sentinel-2.

## Requerimientos
* Instalar el repositorio y sus dependencias http://gitlab.geoint.mx/mario.chirinos/GeoSentinel
* Agregar el directorio scripts al la variable de ambiente PATH
```bash
export PATH="$HOME/git/greenIndex/scripts:$PATH"
```

## Configuración
El archivo **data/settings.json** contiene los parámetros de configuración para el análisis.
```json
{
	"platform": "Sentinel-2",
	"productLevel":"L2A",
	"startDate": "20190101",
	"endDate": "20200101",
	"clouds":"4",
	"productsDir":"~/greenIndex/",
	"username":"",
	"password":""
}

```
## Uso
```bash
	mkdir resultados
	cd resultados
	sh GI_runAnalysis.sh 09.csv settings.json resultados
```
## Datos Generados
Los datos generados se encuentran en dos archivos **resultados/minmax_4.csv** y **resultados/morphology_4.csv**
* minmax_4.csv: Este archivo contiene los datos del area verde para cada una de las regiones. 
* morphology_4.csv: Este archivo contiene los índices morfológicos obtenidos para cada región.

